#
# Conditional build:
%bcond_with	debug		# enable debugging

Summary:	A menu system for the Cinnamon project
Name:		cinnamon-menus
Version:	2.4.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://github.com/linuxmint/cinnamon-menus/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e61dbeb08e55a0ad0ee518d7e980fb50
URL:		http://cinnamon.linuxmint.com/
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cinnamon-menus is an implementation of the draft "Desktop Menu
Specification" from freedesktop.org. This package also contains the
Cinnamon menu layout configuration files, .directory files and
assorted menu related utility programs, Python bindings, and a simple
menu editor.

%package devel
Summary:	Libraries and include files for the Cinnamon menu system
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for writing
applications that use the Cinnamon menu system.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-introspection \
	--enable-debug=%{!?with_debug:no}%{?with_debug:yes}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcinnamon-menu-3.la

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS COPYING.LIB
%{_libdir}/libcinnamon-menu-3.so.*.*.*
%ghost %{_libdir}/libcinnamon-menu-3.so.0
%{_libdir}/girepository-1.0/CMenu-3.0.typelib

%files devel
%defattr(644,root,root,755)
%{_libdir}/libcinnamon-menu-3.so
%{_pkgconfigdir}/libcinnamon-menu-3.0.pc
%{_includedir}/cinnamon-menus-3.0
%{_datadir}/gir-1.0/CMenu-3.0.gir
%changelog
* Tue Mar 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cinnamon-menus.git;a=log;h=master

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 65873e2
- cleanup BR

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 95c132b
- up to 2.4.1

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 98818a7
- new, version 2.4.0

